import java.awt.BorderLayout;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.List;
import javax.swing.JFrame;
import javax.swing.JScrollPane;
import javax.swing.JTable;

public class TesteTabela {
	public static void main(String[] argments) {
		JFrame janela = new JFrame("Teste Tabela");
		janela.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		janela.setLayout(new BorderLayout());

		List<Pessoa> pessoas = new ArrayList<Pessoa>();
		try {
			Class.forName("org.sqlite.JDBC");
			Connection con = DriverManager.getConnection(
					"jdbc:sqlite:pessoa.db", "", "");
			Statement stmt = con.createStatement();
			String query = "select * from pessoa";
			ResultSet rs = stmt.executeQuery(query);
			while (rs.next()) {
				pessoas.add(new Pessoa(rs.getString("nome"),
						rs.getInt("idade"), Boolean.parseBoolean(rs
								.getString("brasileiro"))));
			}
			stmt.close();
			con.close();

		} catch (SQLException ex) {
			System.err.println("SQLException: " + ex.getMessage());
		} catch (java.lang.ClassNotFoundException e) {
			System.err.println("ClassNotFoundException: " + e.getMessage());
		}

		PessoaTableModel ptm = new PessoaTableModel();
		ptm.setPessoas(pessoas);

		JTable tabela = new JTable();
		tabela.setModel(ptm);

		janela.add(new JScrollPane(tabela), BorderLayout.CENTER);
		janela.pack();
		janela.setVisible(true);
	}
}
